// DONE
/**
 * Class Empty
 * The FieldCell is considered empty when
 * containint exactly this type of IContent.
 */
public class Empty implements IContent {

	// Type of IContent
	public int type;



/**
 * Class constructor.
 */
	public Empty() {
		type = Enum.EMPTY;
	}


 
/**
 * Reacts to the collision.
 *
 * @param s The Snake's reference that collided with the Empty.
 */     
	public void reactToCollision(Snake s) {
		s.collideWithEmpty();
	}



/**
 * Returns the type of IContent
 */
	public int getType(){
		return type;
	}



/**
 * Returns id.
 */
	public int getID(){
		return 0;
	}



}
