// DONE
/**
 * Class FieldBerry.
 * Handles the collision of this Berry type.
 */
public class FieldBerry extends Berry {



/**
 * Class constructor.
 *
 * @param f Reference to the Field.
 */
    public FieldBerry(Field f) {
		type = Enum.FIELDBERRY;
		field = f;
		id = idnum;
		idnum++;
		timeLeftBeforeDestroy = Enum.BERRYLIFETIME;
    }



/**
 * Reacts to the collision.
 *
 * @param s The Snake's reference that collided with the FieldBerry.
 */
    public void reactToCollision(Snake s) {
		//Callback to the Snake that collided with this FieldBerry
		s.collideWithFieldBerry();
		//Colliding with a Snake destroys this FieldBerry
		destroy();
    }



/**
 * Returns the type of IContent
 */
	public int getType(){
		return type;
	}



}
