// NOT NEEDED IN PROTO
/**
 * Class HumanPlayer
 * Handles the controlling system of a human players.
 */
public class HumanPlayer extends Controller{



	/**
	 * Class constructor
	 */
	public HumanPlayer(){
		switch(idnum){
			case Enum.PLAYER1:  id = Enum.PLAYER1; break;
			case Enum.PLAYER2:  id = Enum.PLAYER2; break;
			case Enum.PLAYER3:  id = Enum.PLAYER3; break;
			case Enum.PLAYER4:  id = Enum.PLAYER4; break;
			default: id = Enum.NOCONTROLLER; break;
		}
		idnum++;
	}



	/**
	 * Orders the snake where to move at the next tick.
	 */
	public void giveDirection(int dir){
		// Gives direction to the snake it controlls
		// If direction is not valid it doesn't change it
		if (dir != Enum.UP && dir != Enum.RIGHT && dir != Enum.DOWN && dir != Enum.LEFT){
			return;
		}
		// If direction is valid it checks if the snake wants to bite itself
		// under the head => if yes, it won't let it happen
		if (noBackwards(dir)){
			direction = dir;
			snake.setDirection(direction);
		}
	}


	
/**
 * Checks if next move is towards the snake's own first bodypart
 */
	private boolean noBackwards(int dir){
		// Checks if there are more bodyparts
		if (snake.getHead().getNext() != null){
			FieldCell SnakeHead = snake.getHead().getPosition();
			FieldCell FirstBody = snake.getHead().getNext().getPosition();
			// Checks if the next cell to move is occupied by it's first bodyelement
			if (SnakeHead.getNeighbour(dir) == FirstBody)
				return false;
			// If not, it can turn there
			else
				return true;
		}
		// If there are no more bodypart, head can turn anywhere
		else
			return true;
	}



}
