/**
 * Interface IContent
 * Common interface between a cell and it's content.
 */
public interface IContent {



/**
 * Content's reaction to the collision.
 *
 * @param s The Snake's reference that collided with the content.
 */
    public void reactToCollision(Snake s);



/**
 * Returns the type of IContent
 */
	public int getType();



/**
 * Returns the id of IContent
 */
	public int getID();



}
